org.eclipse.aether.artifact

## Class AbstractArtifact

- java.lang.Object
- - org.eclipse.aether.artifact.AbstractArtifact

- All Implemented Interfaces:
    Artifact
  Direct Known Subclasses:
    DefaultArtifact, DelegatingArtifact, SubArtifact

      public abstract class AbstractArtifact
      extends Object
      implements Artifact

  A skeleton class for artifacts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractArtifact()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Map<String,String>` | `copyProperties(Map<String,String> properties)` Copies the specified artifact properties.
    `boolean` | `equals(Object obj)` Compares this artifact with the specified object.
    `String` | `getBaseVersion()` Gets the base version of this artifact, for example "1.0-SNAPSHOT".
    `String` | `getProperty(String key, String defaultValue)` Gets the specified property.
    `int` | `hashCode()` Returns a hash code for this artifact.
    `boolean` | `isSnapshot()` Determines whether this artifact uses a snapshot version.
    `Artifact` | `setFile(File file)` Sets the file of the artifact.
    `Artifact` | `setProperties(Map<String,String> properties)` Sets the properties for the artifact.
    `Artifact` | `setVersion(String version)` Sets the version of the artifact.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.aether.artifact.Artifact

      `getArtifactId, getClassifier, getExtension, getFile, getGroupId, getProperties, getVersion`

- - ### Constructor Detail

    - #### AbstractArtifact

          public AbstractArtifact()

  - ### Method Detail

    - #### isSnapshot

          public boolean isSnapshot()

      Description copied from interface: `Artifact`
      Determines whether this artifact uses a snapshot version.
      Specified by:
        `isSnapshot` in interface `Artifact`
      Returns:
        `true` if the artifact is a snapshot, `false` otherwise.

    - #### getBaseVersion

          public String getBaseVersion()

      Description copied from interface: `Artifact`
      Gets the base version of this artifact, for example "1.0-SNAPSHOT". In contrast to the `Artifact.getVersion()`, the base version will always refer to the unresolved meta version.
      Specified by:
        `getBaseVersion` in interface `Artifact`
      Returns:
        The base version, never `null`.

    - #### setVersion

          public Artifact setVersion(String version)

      Description copied from interface: `Artifact`
      Sets the version of the artifact.
      Specified by:
        `setVersion` in interface `Artifact`
      Parameters:
        `version` - The version of this artifact, may be `null` or empty.
      Returns:
        The new artifact, never `null`.

    - #### setFile

          public Artifact setFile(File file)

      Description copied from interface: `Artifact`
      Sets the file of the artifact.
      Specified by:
        `setFile` in interface `Artifact`
      Parameters:
        `file` - The file of the artifact, may be `null`
      Returns:
        The new artifact, never `null`.

    - #### setProperties

          public Artifact setProperties(Map<String,String> properties)

      Description copied from interface: `Artifact`
      Sets the properties for the artifact. Note that these properties exist merely in memory and are not persisted when the artifact gets installed/deployed to a repository.
      Specified by:
        `setProperties` in interface `Artifact`
      Parameters:
        `properties` - The properties for the artifact, may be `null`.
      Returns:
        The new artifact, never `null`.
      See Also:
        `ArtifactProperties`

    - #### getProperty

          public String getProperty(String key,
                           String defaultValue)

      Description copied from interface: `Artifact`
      Gets the specified property.
      Specified by:
        `getProperty` in interface `Artifact`
      Parameters:
        `key` - The name of the property, must not be `null`.
        `defaultValue` - The default value to return in case the property is not set, may be `null`.
      Returns:
        The requested property value or `null` if the property is not set and no default value was provided.
      See Also:
        `ArtifactProperties`

    - #### copyProperties

          protected static Map<String,String> copyProperties(Map<String,String> properties)

      Copies the specified artifact properties. This utility method should be used when creating new artifact instances with caller-supplied properties.
      Parameters:
        `properties` - The properties to copy, may be `null`.
      Returns:
        The copied and read-only properties, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Compares this artifact with the specified object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - The object to compare this artifact against, may be `null`.
      Returns:
        `true` if and only if the specified object is another `Artifact` with equal coordinates, properties and file, `false` otherwise.

    - #### hashCode

          public int hashCode()

      Returns a hash code for this artifact.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        A hash code for the artifact.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.